Classpath (Gradle API 4.9)
Date: 2018-07-16

org.gradle.plugins.ide.eclipse.model

## Class Classpath

- java.lang.Object
- - org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject
  - - org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject
    - - org.gradle.plugins.ide.eclipse.model.Classpath

- All Implemented Interfaces:
    org.gradle.plugins.ide.internal.generator.generator.PersistableConfigurationObject

      public class Classpath
      extends org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject

  Represents the customizable elements of an eclipse classpath file. (via XML hooks everything is customizable).

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Classpath()`
    `Classpath(org.gradle.plugins.ide.eclipse.model.internal.FileReferenceFactory fileReferenceFactory)`
    `Classpath(org.gradle.internal.xml.XmlTransformer xmlTransformer, org.gradle.plugins.ide.eclipse.model.internal.FileReferenceFactory fileReferenceFactory)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `configure(List newEntries)`
    `boolean` | `equals(Object o)`
    `FileReference` | `fileReference(Object reference)` Creates a new `FileReference` instance.
    `protected String` | `getDefaultResourceName()`
    `List<ClasspathEntry>` | `getEntries()`
    `int` | `hashCode()`
    `protected void` | `load(Node xml)`
    `void` | `setEntries(List<ClasspathEntry> entries)`
    `protected void` | `store(Node xml)`
    `String` | `toString()`

    - ### Methods inherited from class org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject

      `findFirstChildNamed, findFirstChildWithAttributeValue, findFirstWithAttributeValue, findOrCreateFirstChildNamed, findOrCreateFirstChildWithAttributeValue, getChildren, getXml, load, store, transformAction, transformAction`

    - ### Methods inherited from class org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject

      `load, loadDefaults, store`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Classpath

          public Classpath(org.gradle.internal.xml.XmlTransformer xmlTransformer,
                           org.gradle.plugins.ide.eclipse.model.internal.FileReferenceFactory fileReferenceFactory)

    - #### Classpath

          public Classpath(org.gradle.plugins.ide.eclipse.model.internal.FileReferenceFactory fileReferenceFactory)

    - #### Classpath

          public Classpath()

  - ### Method Detail

    - #### getEntries

          public List<ClasspathEntry> getEntries()

    - #### setEntries

          public void setEntries(List<ClasspathEntry> entries)

    - #### getDefaultResourceName

          protected String getDefaultResourceName()

      Specified by:
        `getDefaultResourceName` in class `org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject`

    - #### load

          protected void load(Node xml)

      Overrides:
        `load` in class `org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject`

    - #### configure

          public Object configure(List newEntries)

    - #### store

          protected void store(Node xml)

      Overrides:
        `store` in class `org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### fileReference

          public FileReference fileReference(Object reference)

      Creates a new `FileReference` instance.

      The created object can be used to configure custom source or javadoc location on `Library` and on `Variable` objects.

      This method can receive either String or File instances.

      Parameters:
        `reference` - The object to transform into a new file reference. Can be instance of File or String.
      Returns:
        The new file reference.
      See Also:
        `AbstractLibrary.setJavadocPath(FileReference)`, `AbstractLibrary.setSourcePath(FileReference)`